Index: contrib/btree_gist/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/btree_gist/Makefile,v
retrieving revision 1.8
diff -c -r1.8 Makefile
*** contrib/btree_gist/Makefile	27 Sep 2005 17:12:59 -0000	1.8
--- contrib/btree_gist/Makefile	14 Jan 2006 23:16:18 -0000
***************
*** 7,12 ****
--- 7,13 ----
                btree_bytea.o btree_bit.o btree_numeric.o
  
  DATA_built  = btree_gist.sql
+ DATA        = uninstall.sql
  DOCS        = README.btree_gist
  
  REGRESS     = init int2 int4 int8 float4 float8 cash oid timestamp timestamptz time timetz \
Index: contrib/chkpass/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/chkpass/Makefile,v
retrieving revision 1.7
diff -c -r1.7 Makefile
*** contrib/chkpass/Makefile	27 Sep 2005 17:13:00 -0000	1.7
--- contrib/chkpass/Makefile	14 Jan 2006 23:16:03 -0000
***************
*** 1,9 ****
! # $PostgreSQL: pgsql/contrib/chkpass/Makefile,v 1.6 2004/08/20 20:13:02 momjian Exp $
  
  MODULE_big = chkpass
  OBJS = chkpass.o
  SHLIB_LINK = $(filter -lcrypt, $(LIBS))
  DATA_built = chkpass.sql
  DOCS = README.chkpass
  
  ifdef USE_PGXS
--- 1,10 ----
! # $PostgreSQL: pgsql/contrib/chkpass/Makefile,v 1.7 2005/09/27 17:13:00 tgl Exp $
  
  MODULE_big = chkpass
  OBJS = chkpass.o
  SHLIB_LINK = $(filter -lcrypt, $(LIBS))
  DATA_built = chkpass.sql
+ DATA = uninstall.sql
  DOCS = README.chkpass
  
  ifdef USE_PGXS
Index: contrib/cube/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/cube/Makefile,v
retrieving revision 1.15
diff -c -r1.15 Makefile
*** contrib/cube/Makefile	18 Oct 2005 01:30:48 -0000	1.15
--- contrib/cube/Makefile	14 Jan 2006 23:15:58 -0000
***************
*** 1,9 ****
! # $PostgreSQL: pgsql/contrib/cube/Makefile,v 1.14 2005/09/27 17:13:00 tgl Exp $
  
  MODULE_big = cube
  OBJS= cube.o cubeparse.o
  
  DATA_built = cube.sql
  DOCS = README.cube
  REGRESS = cube
  
--- 1,10 ----
! # $PostgreSQL: pgsql/contrib/cube/Makefile,v 1.15 2005/10/18 01:30:48 tgl Exp $
  
  MODULE_big = cube
  OBJS= cube.o cubeparse.o
  
  DATA_built = cube.sql
+ DATA = uninstall.sql
  DOCS = README.cube
  REGRESS = cube
  
Index: contrib/dblink/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/dblink/Makefile,v
retrieving revision 1.10
diff -c -r1.10 Makefile
*** contrib/dblink/Makefile	27 Sep 2005 17:13:01 -0000	1.10
--- contrib/dblink/Makefile	14 Jan 2006 23:15:52 -0000
***************
*** 1,4 ****
! # $PostgreSQL: pgsql/contrib/dblink/Makefile,v 1.9 2004/08/20 20:13:03 momjian Exp $
  
  MODULE_big = dblink
  PG_CPPFLAGS = -I$(libpq_srcdir)
--- 1,4 ----
! # $PostgreSQL: pgsql/contrib/dblink/Makefile,v 1.10 2005/09/27 17:13:01 tgl Exp $
  
  MODULE_big = dblink
  PG_CPPFLAGS = -I$(libpq_srcdir)
***************
*** 6,11 ****
--- 6,12 ----
  SHLIB_LINK = $(libpq)
  
  DATA_built = dblink.sql 
+ DATA = uninstall.sql 
  DOCS = README.dblink
  REGRESS = dblink
  
Index: contrib/dbmirror/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/dbmirror/Makefile,v
retrieving revision 1.5
diff -c -r1.5 Makefile
*** contrib/dbmirror/Makefile	27 Sep 2005 17:13:01 -0000	1.5
--- contrib/dbmirror/Makefile	14 Jan 2006 22:54:52 -0000
***************
*** 1,4 ****
! # $PostgreSQL: pgsql/contrib/dbmirror/Makefile,v 1.4 2004/11/04 06:09:19 neilc Exp $
  
  MODULES = pending
  SCRIPTS = clean_pending.pl DBMirror.pl
--- 1,4 ----
! # $PostgreSQL: pgsql/contrib/dbmirror/Makefile,v 1.5 2005/09/27 17:13:01 tgl Exp $
  
  MODULES = pending
  SCRIPTS = clean_pending.pl DBMirror.pl
Index: contrib/earthdistance/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/earthdistance/Makefile,v
retrieving revision 1.16
diff -c -r1.16 Makefile
*** contrib/earthdistance/Makefile	27 Sep 2005 17:13:02 -0000	1.16
--- contrib/earthdistance/Makefile	14 Jan 2006 23:15:40 -0000
***************
*** 1,7 ****
! # $PostgreSQL: pgsql/contrib/earthdistance/Makefile,v 1.15 2005/07/24 23:30:09 tgl Exp $
  
  MODULES = earthdistance
  DATA_built = earthdistance.sql
  DOCS = README.earthdistance
  REGRESS = earthdistance
  
--- 1,8 ----
! # $PostgreSQL: pgsql/contrib/earthdistance/Makefile,v 1.16 2005/09/27 17:13:02 tgl Exp $
  
  MODULES = earthdistance
  DATA_built = earthdistance.sql
+ DATA = uninstall.sql
  DOCS = README.earthdistance
  REGRESS = earthdistance
  
Index: contrib/fuzzystrmatch/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/fuzzystrmatch/Makefile,v
retrieving revision 1.6
diff -c -r1.6 Makefile
*** contrib/fuzzystrmatch/Makefile	27 Sep 2005 17:13:03 -0000	1.6
--- contrib/fuzzystrmatch/Makefile	14 Jan 2006 23:17:53 -0000
***************
*** 1,9 ****
! # $PostgreSQL: pgsql/contrib/fuzzystrmatch/Makefile,v 1.5 2004/08/20 20:13:04 momjian Exp $
  
  MODULE_big = fuzzystrmatch
  SRCS += fuzzystrmatch.c dmetaphone.c
  OBJS = $(SRCS:.c=.o)
  DATA_built = fuzzystrmatch.sql
  DOCS = README.fuzzystrmatch README.soundex
  
  ifdef USE_PGXS
--- 1,10 ----
! # $PostgreSQL: pgsql/contrib/fuzzystrmatch/Makefile,v 1.6 2005/09/27 17:13:03 tgl Exp $
  
  MODULE_big = fuzzystrmatch
  SRCS += fuzzystrmatch.c dmetaphone.c
  OBJS = $(SRCS:.c=.o)
  DATA_built = fuzzystrmatch.sql
+ DATA = uninstall.sql
  DOCS = README.fuzzystrmatch README.soundex
  
  ifdef USE_PGXS
Index: contrib/intagg/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/intagg/Makefile,v
retrieving revision 1.6
diff -c -r1.6 Makefile
*** contrib/intagg/Makefile	27 Sep 2005 17:13:03 -0000	1.6
--- contrib/intagg/Makefile	14 Jan 2006 23:19:18 -0000
***************
*** 2,11 ****
  # Makefile for integer aggregator
  # Copyright (C) 2001 Digital Music Network.
  # by Mark L. Woodward
! # $PostgreSQL: pgsql/contrib/intagg/Makefile,v 1.5 2004/08/20 20:13:04 momjian Exp $
  
  MODULES = int_aggregate
  DATA_built = int_aggregate.sql
  DOCS = README.int_aggregate
  
  ifdef USE_PGXS
--- 2,12 ----
  # Makefile for integer aggregator
  # Copyright (C) 2001 Digital Music Network.
  # by Mark L. Woodward
! # $PostgreSQL: pgsql/contrib/intagg/Makefile,v 1.6 2005/09/27 17:13:03 tgl Exp $
  
  MODULES = int_aggregate
  DATA_built = int_aggregate.sql
+ DATA = uninstall.sql
  DOCS = README.int_aggregate
  
  ifdef USE_PGXS
Index: contrib/intarray/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/intarray/Makefile,v
retrieving revision 1.12
diff -c -r1.12 Makefile
*** contrib/intarray/Makefile	27 Sep 2005 17:13:04 -0000	1.12
--- contrib/intarray/Makefile	14 Jan 2006 23:26:47 -0000
***************
*** 1,8 ****
! # $PostgreSQL: pgsql/contrib/intarray/Makefile,v 1.11 2004/08/20 20:13:04 momjian Exp $
  
  MODULE_big = _int
  OBJS = _int_bool.o _int_gist.o _int_op.o _int_tool.o _intbig_gist.o 
  DATA_built = _int.sql
  DOCS = README.intarray
  REGRESS = _int
  
--- 1,9 ----
! # $PostgreSQL: pgsql/contrib/intarray/Makefile,v 1.12 2005/09/27 17:13:04 tgl Exp $
  
  MODULE_big = _int
  OBJS = _int_bool.o _int_gist.o _int_op.o _int_tool.o _intbig_gist.o 
  DATA_built = _int.sql
+ DATA = uninstall.sql
  DOCS = README.intarray
  REGRESS = _int
  
Index: contrib/isbn_issn/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/isbn_issn/Makefile,v
retrieving revision 1.14
diff -c -r1.14 Makefile
*** contrib/isbn_issn/Makefile	27 Sep 2005 17:13:04 -0000	1.14
--- contrib/isbn_issn/Makefile	14 Jan 2006 23:52:46 -0000
***************
*** 1,7 ****
! # $PostgreSQL: pgsql/contrib/isbn_issn/Makefile,v 1.13 2004/08/20 20:13:04 momjian Exp $
  
  MODULES = isbn_issn
  DATA_built = isbn_issn.sql
  DOCS = README.isbn_issn
  
  ifdef USE_PGXS
--- 1,8 ----
! # $PostgreSQL: pgsql/contrib/isbn_issn/Makefile,v 1.14 2005/09/27 17:13:04 tgl Exp $
  
  MODULES = isbn_issn
  DATA_built = isbn_issn.sql
+ DATA = uninstall.sql
  DOCS = README.isbn_issn
  
  ifdef USE_PGXS
Index: contrib/ltree/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/ltree/Makefile,v
retrieving revision 1.4
diff -c -r1.4 Makefile
*** contrib/ltree/Makefile	27 Sep 2005 17:13:05 -0000	1.4
--- contrib/ltree/Makefile	15 Jan 2006 00:00:10 -0000
***************
*** 3,8 ****
--- 3,9 ----
  OBJS = 	ltree_io.o ltree_op.o lquery_op.o _ltree_op.o crc32.o \
  	ltxtquery_io.o ltxtquery_op.o ltree_gist.o _ltree_gist.o
  DATA_built = ltree.sql
+ DATA = uninstall.sql
  DOCS = README.ltree
  REGRESS = ltree
  
Index: contrib/oid2name/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/oid2name/Makefile,v
retrieving revision 1.8
diff -c -r1.8 Makefile
*** contrib/oid2name/Makefile	27 Sep 2005 17:13:06 -0000	1.8
--- contrib/oid2name/Makefile	15 Jan 2006 01:07:57 -0000
***************
*** 1,4 ****
! # $PostgreSQL: pgsql/contrib/oid2name/Makefile,v 1.7 2005/03/25 18:17:11 momjian Exp $
  
  PROGRAM = oid2name
  OBJS	= oid2name.o
--- 1,4 ----
! # $PostgreSQL: pgsql/contrib/oid2name/Makefile,v 1.8 2005/09/27 17:13:06 tgl Exp $
  
  PROGRAM = oid2name
  OBJS	= oid2name.o
Index: contrib/pg_buffercache/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/pg_buffercache/Makefile,v
retrieving revision 1.2
diff -c -r1.2 Makefile
*** contrib/pg_buffercache/Makefile	27 Sep 2005 17:13:07 -0000	1.2
--- contrib/pg_buffercache/Makefile	15 Jan 2006 01:11:54 -0000
***************
*** 1,9 ****
! # $PostgreSQL: pgsql/contrib/pg_buffercache/Makefile,v 1.1 2005/03/12 15:36:24 neilc Exp $
  
  MODULE_big = pg_buffercache
  OBJS	= pg_buffercache_pages.o
  
  DATA_built = pg_buffercache.sql 
  DOCS = README.pg_buffercache
  
  ifdef USE_PGXS
--- 1,10 ----
! # $PostgreSQL: pgsql/contrib/pg_buffercache/Makefile,v 1.2 2005/09/27 17:13:07 tgl Exp $
  
  MODULE_big = pg_buffercache
  OBJS	= pg_buffercache_pages.o
  
  DATA_built = pg_buffercache.sql 
+ DATA = uninstall.sql 
  DOCS = README.pg_buffercache
  
  ifdef USE_PGXS
Index: contrib/pg_trgm/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/pg_trgm/Makefile,v
retrieving revision 1.3
diff -c -r1.3 Makefile
*** contrib/pg_trgm/Makefile	27 Sep 2005 17:13:07 -0000	1.3
--- contrib/pg_trgm/Makefile	15 Jan 2006 01:16:13 -0000
***************
*** 5,10 ****
--- 5,11 ----
  OBJS = trgm_op.o trgm_gist.o 
  
  DATA_built = pg_trgm.sql
+ DATA = uninstall.sql
  DOCS = README.pg_trgm
  REGRESS = pg_trgm
  
Index: contrib/pgstattuple/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/pgstattuple/Makefile,v
retrieving revision 1.4
diff -c -r1.4 Makefile
*** contrib/pgstattuple/Makefile	27 Sep 2005 17:13:09 -0000	1.4
--- contrib/pgstattuple/Makefile	15 Jan 2006 01:13:42 -0000
***************
*** 2,8 ****
  #
  # pgstattuple Makefile
  #
! # $PostgreSQL: pgsql/contrib/pgstattuple/Makefile,v 1.3 2004/08/20 20:13:07 momjian Exp $
  #
  #-------------------------------------------------------------------------
  
--- 2,8 ----
  #
  # pgstattuple Makefile
  #
! # $PostgreSQL: pgsql/contrib/pgstattuple/Makefile,v 1.4 2005/09/27 17:13:09 tgl Exp $
  #
  #-------------------------------------------------------------------------
  
***************
*** 12,17 ****
--- 12,18 ----
  OBJS		= $(SRCS:.c=.o)
  DOCS		= README.pgstattuple README.pgstattuple.euc_jp
  DATA_built	= pgstattuple.sql
+ DATA      	= uninstall.sql
  
  ifdef USE_PGXS
  PGXS := $(shell pg_config --pgxs)
Index: contrib/seg/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/seg/Makefile,v
retrieving revision 1.14
diff -c -r1.14 Makefile
*** contrib/seg/Makefile	18 Oct 2005 01:30:48 -0000	1.14
--- contrib/seg/Makefile	15 Jan 2006 02:07:01 -0000
***************
*** 1,8 ****
! # $PostgreSQL: pgsql/contrib/seg/Makefile,v 1.13 2005/09/27 17:13:09 tgl Exp $
  
  MODULE_big = seg
  OBJS = seg.o segparse.o
  DATA_built = seg.sql
  DOCS = README.seg
  REGRESS = seg
  
--- 1,9 ----
! # $PostgreSQL: pgsql/contrib/seg/Makefile,v 1.14 2005/10/18 01:30:48 tgl Exp $
  
  MODULE_big = seg
  OBJS = seg.o segparse.o
  DATA_built = seg.sql
+ DATA = uninstall.sql
  DOCS = README.seg
  REGRESS = seg
  
Index: contrib/tablefunc/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/tablefunc/Makefile,v
retrieving revision 1.5
diff -c -r1.5 Makefile
*** contrib/tablefunc/Makefile	27 Sep 2005 17:13:10 -0000	1.5
--- contrib/tablefunc/Makefile	15 Jan 2006 02:13:39 -0000
***************
*** 1,5 ****
--- 1,6 ----
  MODULES = tablefunc
  DATA_built = tablefunc.sql
+ DATA = uninstall.sql
  DOCS = README.tablefunc
  REGRESS = tablefunc
  
Index: contrib/userlock/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/userlock/Makefile,v
retrieving revision 1.19
diff -c -r1.19 Makefile
*** contrib/userlock/Makefile	27 Sep 2005 17:13:13 -0000	1.19
--- contrib/userlock/Makefile	15 Jan 2006 02:16:10 -0000
***************
*** 1,7 ****
! # $PostgreSQL: pgsql/contrib/userlock/Makefile,v 1.18 2004/08/20 20:13:09 momjian Exp $
  
  MODULES = user_locks
  DATA_built = user_locks.sql
  DOCS = README.user_locks
  
  ifdef USE_PGXS
--- 1,8 ----
! # $PostgreSQL: pgsql/contrib/userlock/Makefile,v 1.19 2005/09/27 17:13:13 tgl Exp $
  
  MODULES = user_locks
  DATA_built = user_locks.sql
+ DATA = uninstall.sql
  DOCS = README.user_locks
  
  ifdef USE_PGXS
Index: contrib/xml2/Makefile
===================================================================
RCS file: /oracle/CVSup/pgsql/contrib/xml2/Makefile,v
retrieving revision 1.6
diff -c -r1.6 Makefile
*** contrib/xml2/Makefile	27 Sep 2005 17:13:13 -0000	1.6
--- contrib/xml2/Makefile	15 Jan 2006 02:18:37 -0000
***************
*** 9,14 ****
--- 9,15 ----
  SHLIB_LINK = -lxml2 -lxslt
  
  DATA_built = pgxml.sql
+ DATA = uninstall.sql
  DOCS = README.xml2
  
  override CFLAGS += $(shell xml2-config --cflags)
